Package org.opensaml.saml.saml1.core.impl

# Class SubjectLocalityImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectLocalityImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SubjectLocality`

public class SubjectLocalityImpl extends AbstractXMLObject implements SubjectLocality
A concrete implementation of the `SubjectLocality` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`dnsAddress`
The DNS Address.
`private String`
`ipAddress`
The ipAddress.

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectLocality

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, DNSADDRESS_ATTRIB_NAME, IPADDRESS_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectLocalityImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDNSAddress()`
Gets the DNS name of the locality.
`String`
`getIPAddress()`
Gets the IP address of the locality.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setDNSAddress(String address)`
Sets the DNS name of the locality.
`void`
`setIPAddress(String address)`
Sets the IP address of the locality.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ipAddress

@Nullable private String ipAddress
The ipAddress.

### dnsAddress

@Nullable private String dnsAddress
The DNS Address.

## Constructor Details

### SubjectLocalityImpl

protected SubjectLocalityImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getIPAddress

@Nullable public String getIPAddress()
Gets the IP address of the locality.

Specified by:
  `getIPAddress` in interface `SubjectLocality`
Returns:
  IP address of the locality

### setIPAddress

public void setIPAddress(@Nullable String address)
Sets the IP address of the locality.

Specified by:
  `setIPAddress` in interface `SubjectLocality`
Parameters:
  `address` - IP address of the locality

### getDNSAddress

@Nullable public String getDNSAddress()
Gets the DNS name of the locality.

Specified by:
  `getDNSAddress` in interface `SubjectLocality`
Returns:
  DNS name of the locality

### setDNSAddress

public void setDNSAddress(@Nullable String address)
Sets the DNS name of the locality.

Specified by:
  `setDNSAddress` in interface `SubjectLocality`
Parameters:
  `address` - DNS name of the locality

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements